<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.project.business.mapper.TtQuestionDirectoryMapper">

    <resultMap id="BaseResultMap" type="com.ruoyi.project.business.domain.train.TtQuestionDirectory">
        <id property="id" column="id" jdbcType="BIGINT"/>
        <result property="derectoryName" column="derectory_name" jdbcType="VARCHAR"/>
        <result property="superDirectory" column="super_directory" jdbcType="VARCHAR"/>
        <result property="delFlag" column="del_flag" jdbcType="CHAR"/>
        <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
        <result property="createBy" column="create_by" jdbcType="BIGINT"/>
        <result property="updateTime" column="update_time" jdbcType="TIMESTAMP"/>
        <result property="updateBy" column="update_by" jdbcType="BIGINT"/>
        <result property="remark" column="remark" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,derectory_name,super_directory,
        del_flag,create_time,create_by,
        update_time,update_by,remark
    </sql>
</mapper>
